Jupiter - Zadanie #1871

Obstuga braku potaczenia z serwerem w przegladarce

2017-11-22 12:59 - Michat Komar

Status: Rozwigzany Start date: 2017-11-22
Priority: Normalny Due date:

Assignee: Michat Komar % Done: 100%

Category: ui Estimated time: 0.00 hour

Target version: 0.3

Developer: Michat Komar Tester: tukasz Waskiewicz
Description

W momencie, gdy nie ma poaczenia z serwerem, uzytkownik powinien otrzymac informacje na modalu, ze co$ ztego sie dzieje z

mozliwos$cig sprawdzenia, czy mozna nawigzac potaczenie. Weryfikacja czy jest potagczenie powinna odbywac sie takze

automatycznie co 10s.

Associated revisions

Revision 482db1fa - 2017-11-29 10:54 - Michat Komar

refs #1871: Dodanie obstugi braku potaczenia

Revision fd96eb6f - 2017-12-05 15:46 - Michat Komar

refs #1871: Poprawienie zachowania reconnect

Revision a0b4d877 - 2017-12-13 14:12 - Michat Komar

refs #1871: Refaktoring potaczen stomp. Poprawienie funkcji reconnect.

Revision ae224dcc - 2017-12-14 08:39 - Michat Komar

refs #1871: Poprawka wynikajaca ze zmiany zwracanej wartosci w disconn.

Revision f5acc34a - 2017-12-14 08:40 - Michat Komar

refs #1871: Poprawka wynikajgca ze zmiany zwracanej wartosci w disconn.

History

#1 - 2017-11-23 13:44 - Michat Komar
- Status changed from Nowy to W toku

#2 - 2017-11-29 12:31 - Michat Komar
- Status changed from W toku to Testowanie
- Assignee changed from Michat Komar to tukasz Waskiewicz

- % Done changed from 0 to 100

Nareszcie udato sie zakonczyé.
Do przetestowania:

1. Komunikat o braku potaczenia powinien pojawic¢ sig, gdy zostanie zerwane potacznie websocketowe (modal na aktualnym ekranie)

2. Powinien sie pojawi¢ takze w przypadku, gdy wykonanie serwisu zakonczyto sig¢ btedem (modal na pustym ekranie i nawigacja do ekranu
zrédtowego po ponownym potaczeniu)

3. Przycisk na modalu powinien by¢ zdisablowany podczas wykonywania operacji potgczenia (mozna sprobowaé to zasymulowagé, robigc break na
heartbeat w kontrolerze)

4. Reconnect powinien by¢ odpalany co 10s, reczne odpalenie powinno resetowaé licznik

#3 - 2017-12-01 11:02 - Lukasz Waskiewicz
- Status changed from Testowanie to Odpowiedz
- Assignee changed from tukasz Waskiewicz to Michat Komar

jesli dostaniemy btad przy zapisaniu dokumentu (Error 500) kliknigcie reconnect przekieruje nas do strony wyszukania i musimy przeklika¢ sie do

zasobu + stracimy dane

docelowo to moze OK bo 500 nie powinny sie zdarzag, ale teraz jest to przeszkadzajace, bo btedy przy zapisie sie pojawiaja

#4 - 2017-12-05 15:47 - Michat Komar

- Status changed from Odpowiedz to Testowanie
- Assignee changed from Michat Komar to tukasz Waskiewicz

Poprawitem

#5 - 2017-12-15 13:47 - Lukasz Waskiewicz
- Status changed from Testowanie to Rozwigzany
- Assignee changed from tukasz Waskiewicz to Michat Komar
